Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.splitstream
Class StripeId

    java.lang.Object
      rice.p2p.splitstream.StripeId

    public class StripeId

extends java.lang.Object

This class wraps the nodeId object so we can use type checking and allow more readable and understandable code. All it does is subclass the nodeId and provide a constructor that allows the wrapping of a NodeId object to create a concrete subclass

Version:
  $Id: StripeId.java 2302 2005-03-11 00:58:26Z jeffh $
Author:
  Ansley Post, Alan Mislove

Field Summary
`protected Id` | `id` This stripe's Id

Constructor Summary
`StripeId(Id id)` Constructor that takes in a nodeId and makes a StripeId

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares this to the parameter.
`Id` | `getId()` Gets the Id attribute of the StripeId object
`int` | `hashCode()` Computes a hash value for this object.
`java.lang.String` | `toString()` Converts to a String representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected Id id

  This stripe's Id

Constructor Detail

### StripeId

    public StripeId(Id id)

  Constructor that takes in a nodeId and makes a StripeId

  Parameters:
    `id` - The Id for this stripe

Method Detail

### getId

    public Id getId()

  Gets the Id attribute of the StripeId object

  Returns:
    The Id value

### toString

    public java.lang.String toString()

  Converts to a String representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the object.

### hashCode

    public int hashCode()

  Computes a hash value for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash value for this object.

### equals

    public boolean equals(java.lang.Object o)

  Compares this to the parameter.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.